.map-container {
  display: grid;
  min-height: 70vh;
  padding: 0 20px;
  position: relative;
}

.map-frame {
  border: 2px solid black;
  display: grid;
  z-index: 0;
}

app-map-filter {
  justify-self: right;
  margin: 20px 40px 0 35px;
  z-index: 1;
  max-width: 100%;
  @media screen and (max-width: 600px) {
    margin: 20px 10px 0 10px;
  }
}


.info {
  position: absolute;
  bottom: 20px;

  /* center verticalyy */
  left: 50%;
  transform: translateX(-50%);


  z-index: 1;
  background-color: white;
  padding: 10px;
  border-radius: 5px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
}

.info-card {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);

  background-color: #ffffffcb;
  backdrop-filter: blur(5px);

  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 15px;
  max-width: 800px;
  margin: 0 auto;

  z-index: 10;
}
.info-card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: rgba(211, 237, 255, 0.67);
  cursor: pointer;
}

.titleBar {
  display: flex;
  gap: 10px;
  justify-content: space-between;
  align-items: center;
}

.close-icon {
  cursor: pointer;
  color: #999;
  z-index: 10;
}
.close-icon:hover {
  color: #666;
  background-color: red;
}

.infoContent {
  display: flex;
  align-items: center;
  /* margin-top: 15px; */
  text-align: center;
  gap: 10px;
  padding: 10px;
}

.address {
  width: 100%;

  :is(p) {
    margin: 0;
    padding: 0;
  }
}

.profile-logo {
  width: auto;
  height: auto;
  max-width: 200px;
  max-height: 100px;
  object-fit: contain;
  margin-bottom: 10px;
}

.profile-title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 5px;
}

.profile-shortcut {
  font-size: 14px;
  color: #666;
  margin-bottom: 5px;
}

.profile-address {
  font-size: 14px;
  color: #888;
}

